Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000106 [libFirm] optimisations feature N/A 2013-05-10 10:03 2016-01-03 03:28
Reporter Matze View Status public  
Assigned To Matze
Priority low Resolution fixed  
Status closed   Product Version
Summary 0000106: know that certain addresses are not NULL
Description The compiler should know things like:
Cmp(&global, NULL) == False
Cmp(address + offset, NULL) == False
Cmp(Sel(FramePtr), NULL) == False
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0000208)
Matze (administrator)
2014-02-16 17:17

implemented in libfirm fb0f4a3a93c053c917b3d7ad65d76705ae2a7acc and 1148952ec02bdfe081a4ddd5204f2f2a22a603e7

- Issue History
Date Modified Username Field Change
2013-05-10 10:03 Matze New Issue
2014-02-16 17:17 Matze Note Added: 0000208
2014-02-16 17:17 Matze Assigned To => Matze
2014-02-16 17:17 Matze Status new => resolved
2014-02-16 17:17 Matze Resolution open => fixed
2016-01-03 03:28 Matze Status resolved => closed


Mantis 1.1.5[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker